#!/usr/bin/env bash
set -u

export SSHKEY_FILE="$HOME/.ssh/$USER-ucare-fio-ssds"
export SSHKEY_NAME="$USER-ucare-fio-ssds"

keys=$(openstack keypair list | grep $SSHKEY_NAME)
if [[ $keys == *"$SSHKEY_NAME"* ]]; then
    echo "SSH key $SSHKEY_NAME already exists"
else
    # If non-existent, create one
    ssh-keygen -t rsa -b 4096  -P '' -C $SSHKEY_NAME -f $SSHKEY_FILE
    openstack keypair create --public-key $SSHKEY_FILE.pub  $SSHKEY_NAME
    echo "SSH key with name: $SSHKEY_NAME created"
fi

export sshc="ssh -i $SSHKEY_FILE"